<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
  </startup>
  <appSettings>
    <add key="appName" value="IOB-WIN-NEXT" />
    <!--<add key="appVers" value="develop" />-->
    <add key="enableTest" value="false" />
    <add key="enableContapezzi" value="true" />
    <add key="enableMode" value="true" />
    <add key="enableOverrides" value="false" />
    <add key="enableTSVC" value="true" />
    <add key="enableDynData" value="false" />
    <add key="enableSysInfo" value="false" />
    <add key="enableAlarms" value="true" />
    <add key="doStartMemDump" value="false" />
    <add key="doSampleMemory" value="false" />
    <add key="basePrgMemPath" value="CNCMEMUSER" />
    <add key="pingMsTimeout" value="1500" />
    <add key="serverPingDisabled" value="false" />
    <add key="urlCallTOut" value="9999" />
    <add key="urlRandWait" value="200" />
    <!-- ciclo corto x invio a server: ms -->
    <add key="timerIntMs" value="10" />
    <add key="fastCount" value="20" />
    <add key="normCount" value="200" />
    <add key="slowCount" value="500" />
    <add key="verySlowCount" value="3000" />
    <add key="sampleMemCount" value="6000" />
    <add key="waitEndCycle" value="0" />
    <add key="comCheckTOut" value="10" />
    <!-- watchdog, ping, check disconnesso -->
    <add key="nMaxSend" value="10" />
    <add key="pingTestSec" value="5" />
    <add key="watchdogMaxSec" value="90" />
    <add key="disconMaxSec" value="30" />
    <add key="defIOB" value="2999" />
    <add key="pauseSendMSec" value="2000" />
    <add key="sendStartFLog" value="false" />
    <!--gestione coda-->
    <add key="maxQueueFLog" value="131072" />
    <add key="maxQueueRawTransf" value="1024" />
    <!--gestione max num errori-->
    <add key="maxAliveErrors" value="1000" />
    <add key="maxErroriCheck" value="300" />
    <add key="maxSendErrors" value="100" />
    <add key="maxReadErrors" value="20" />
    <!--parametri SIM-->
    <add key="waitSimPar" value="180" />
    <!--gestione REDIS-->
    <add key="RedisConn" value="localhost,abortConnect=false,ssl=false" />
    <add key="RedisConnAdmin" value="localhost,abortConnect=false,ssl=false" />
    <add key="redisDb" value="10" />
    <!--gestione invio dati in blocchi Json-->
    <add key="minJsonData" value="2" />
    <add key="maxJsonData" value="100" />
    <add key="maxJsonDataEv" value="25" />
    <!--gestione multithread-->
    <add key="sendDataByThread" value="false" />
    <!--Modalità DEMO: DemoOUT indica che NON invia davvero al server e DemoIN che simula e NON legge da PLC-->
    <add key="DemoIn" value="false" />
    <add key="DemoInSample" value="false" />
    <add key="DemoOut" value="false" />
    <!--definizione invio dati molto variabili-->
    <add key="SendAxPos" value="false" />
    <add key="SendFeedSpeed" value="false" />
    <!--Definizione avvio Adapter-->
    <add key="autoLoadConf" value="true" />
    <add key="autoStartOnLoad" value="true" />
    <add key="startMinimized" value="false" />
    <add key="windowCanMax" value="true" />
    <add key="trayClose" value="true" />
    <add key="autoSaveSec" value="60" />
    <add key="waitRecMSec" value="60000" />
    <add key="testCharSep" value="|" />
    <add key="delayShowLogMs" value="1000" />
    <add key="vetoSeconds" value="5" />
    <!--conf file-->
    <add key="dataPath" value="DATA" />
    <add key="dataConfPath" value="DATA\CONF" />
    <add key="dataDatPath" value="DATA\DAT" />
    <add key="resxPath" value="Resources" />
    <add key="mainConfFile" value="MAIN.ini" />
    <add key="defaultPersLayerFile" value="PersistData.dat" />
    <!--<add key="simDataFile" value="SimData.dat" />-->
    <!--<add key="memDumpFile" value="MemoryDump.dat" />-->
    <add key="numSim" value="1" />
    <add key="MMapR" value="MMapR.map" />
    <add key="MMapW" value="MMapW.map" />
    <add key="AUpdAsAdm" value="true" />
    <add key="ConfToCloud" value="false" />
    <add key="CacheConfToCloudDuratHour" value="24" />
    <!--logging-->
    <add key="recTime" value="true" />
    <add key="verbose" value="false" />
    <add key="logEvery" value="100" />
    <add key="zipLogOldDay" value="1" />
    <add key="maxLogDirSize" value="300" />
    <add key="maxLogDays" value="400" />
    <add key="numRowConsole" value="50" />
    <add key="verboseLogTOut" value="60" />
    <!--conf x FANUC-->
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="pzCountDelay" value="2000" />
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="lib;libs" xmlns="urn:schemas-microsoft-com:asm.v1" />
      <dependentAssembly>
        <assemblyIdentity name="NLog" publicKeyToken="5120e14c03d0593c" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.3.0" newVersion="6.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.IO.Pipelines" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Channels" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.0" newVersion="9.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.4.0" newVersion="4.2.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.5.0" newVersion="4.0.5.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.5.0" newVersion="4.0.5.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Web.WebView2.WinForms" publicKeyToken="2a8ab48044d2601e" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.2903.40" newVersion="1.0.2903.40" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Web.WebView2.Core" publicKeyToken="2a8ab48044d2601e" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.2903.40" newVersion="1.0.2903.40" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.Tracing" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.2.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Reflection" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.InteropServices.RuntimeInformation" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.2.0" newVersion="4.0.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="FluentFTP" publicKeyToken="f4af092b1d8df44f" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-53.0.2.0" newVersion="53.0.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Formats.Asn1" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.0.0.1" newVersion="8.0.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.0" newVersion="9.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Logging.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.0" newVersion="9.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Security.Cryptography.Algorithms" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.3.0.0" newVersion="4.3.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.6.0" newVersion="4.1.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Encodings.Web" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.DependencyInjection.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-9.0.0.0" newVersion="9.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.IdentityModel.Abstractions" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.2.1.0" newVersion="8.2.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.IdentityModel.Logging" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-8.15.0.0" newVersion="8.15.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="lwpServicePortBinding">
          <security mode="Transport" />
        </binding>
        <binding name="OPENcontrol" />
      </basicHttpBinding>
      <netNamedPipeBinding>
        <binding name="NetNamedPipeBinding_ISizerService">
          <security mode="None" />
        </binding>
      </netNamedPipeBinding>
      <wsHttpBinding>
        <binding name="WSHttpBinding_ISizerService" maxReceivedMessageSize="2147483647">
          <security mode="None" />
        </binding>
      </wsHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://192.168.20.2:8080" binding="basicHttpBinding" bindingConfiguration="OPENcontrol" contract="OpenControl.OPENcontrolPortType" name="OPENcontrol" />
      <endpoint address="http://localhost:8001/SizerService/" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_ISizerService" contract="SizerService.ISizerService" name="WSHttpBinding_ISizerService" />
      <endpoint address="net.pipe://localhost/Compac/8001/SizerService" binding="netNamedPipeBinding" bindingConfiguration="NetNamedPipeBinding_ISizerService" contract="SizerService.ISizerService" name="NetNamedPipeBinding_ISizerService" />
      <endpoint address="https://308gomba:8000/ws" binding="basicHttpBinding" bindingConfiguration="lwpServicePortBinding" contract="GombaServ.lwpService" name="lwpServicePort" />
    </client>
  </system.serviceModel>
  <entityFramework>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
</configuration>